%define _sysconfdir /etc/lam

Summary: LAM (Local Area Multicomputer) programming environment
Name: lam
Version: 6.5b5
Release: 1 
Copyright: GPL
Group: Development/Libraries
Packager: linuxkid <linux@peanutlinux.org>
Source: lam-%{version}.tar.bz2
URL: http://www.mpi.nd.edu/lam/
ExcludeArch: ia64
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-g77

%description 
LAM (Local Area Multicomputer) is an MPI programming environment and
development system for heterogeneous computers on a network. With
LAM/MPI, a dedicated cluster or an existing network computing
infrastructure can act as one parallel computer solving one problem.
LAM/MPI is considered to be "cluster friendly", in that it offers
daemon-based process startup/control as well as fast client-to-client
message passing protocols.  LAM/MPI can use TCP/IP and/or shared
memory for message passing (different RPMs are supplied for this --
see the main LAM web site for details).

LAM features a full implementation of Message-Passing Interface
version 1 (with the exception that LAM does not support cancelling of
sends), and much of version 2.  Compliant applications are source code
portable between LAM and any other implementation of MPI. In addition
to meeting the standard in a high quality manner, LAM/MPI offers
extensive monitoring capabilities to support debugging. Monitoring
happens on two levels.  LAM/MPI has the hooks to allow a snapshot of
process and message status to be taken at any time during an
application run.  The status includes all aspects of synchronization
plus datatype map / signature, communicator group membership and
message contents (see the XMPI application on the main LAM web site).
On the second level, the MPI library is instrumented to produce a
cummulative record of communication, which can be visualized either at
runtime or post-mortem.

%prep
%setup -q

%build
%configure --with-rpi=usysv 
make all

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

cp -r $RPM_BUILD_ROOT/usr/doc .
cp -af $RPM_BUILD_ROOT/usr/man/* $RPM_BUILD_ROOT/%{_mandir} || :
rm -f $RPM_BUILD_ROOT/usr/include/mpi++.h
ln -s mpi2c++/mpi++.h $RPM_BUILD_ROOT/usr/include/mpi++.h

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/lam
/usr/bin/*
/usr/include/*
/usr/lib/*
